package com.hectorarranz.java.checks;

import org.junit.Test;
import org.sonar.java.checks.verifier.JavaCheckVerifier;

public class ConstantsAsEnumRuleTest {

	@Test
	public void testDefaultValue() {
		JavaCheckVerifier.verify("src/test/files/ConstantsAsEnumRuleDefault.java", new ConstantsAsEnumRule());
	}
	
	@Test
	public void testSetingValue() {
		ConstantsAsEnumRule rule = new ConstantsAsEnumRule();
		rule.minimo = 5;
		JavaCheckVerifier.verify("src/test/files/ConstantsAsEnumRule.java", rule);
	}
}

